Change an agent's definition (a new version)
curl --request PUT \
--url https://{host}/v1/process/agents/{slug} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"skills": [
"<string>"
],
"rules": "<string>",
"enabled": true,
"triggers": [
{}
],
"behaviour": {},
"order": 500
}
'import requests
url = "https://{host}/v1/process/agents/{slug}"
payload = {
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"skills": ["<string>"],
"rules": "<string>",
"enabled": True,
"triggers": [{}],
"behaviour": {},
"order": 500
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
goal: '<string>',
skills: ['<string>'],
rules: '<string>',
enabled: true,
triggers: [{}],
behaviour: {},
order: 500
})
};
fetch('https://{host}/v1/process/agents/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/process/agents/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'goal' => '<string>',
'skills' => [
'<string>'
],
'rules' => '<string>',
'enabled' => true,
'triggers' => [
[
]
],
'behaviour' => [
],
'order' => 500
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/process/agents/{slug}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal\": \"<string>\",\n \"skills\": [\n \"<string>\"\n ],\n \"rules\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {}\n ],\n \"behaviour\": {},\n \"order\": 500\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/v1/process/agents/{slug}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal\": \"<string>\",\n \"skills\": [\n \"<string>\"\n ],\n \"rules\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {}\n ],\n \"behaviour\": {},\n \"order\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/process/agents/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal\": \"<string>\",\n \"skills\": [\n \"<string>\"\n ],\n \"rules\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {}\n ],\n \"behaviour\": {},\n \"order\": 500\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Change an agent's definition (a new version)
Only the fields given change. Skills must exist in the registry;
triggers are schedule (every_minutes, 0 = every orchestrator
run, or cron with timezone), event (type, where),
deadline (clock, lead_minutes) or manual.
PUT
/
v1
/
process
/
agents
/
{slug}
Change an agent's definition (a new version)
curl --request PUT \
--url https://{host}/v1/process/agents/{slug} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"skills": [
"<string>"
],
"rules": "<string>",
"enabled": true,
"triggers": [
{}
],
"behaviour": {},
"order": 500
}
'import requests
url = "https://{host}/v1/process/agents/{slug}"
payload = {
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"skills": ["<string>"],
"rules": "<string>",
"enabled": True,
"triggers": [{}],
"behaviour": {},
"order": 500
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
goal: '<string>',
skills: ['<string>'],
rules: '<string>',
enabled: true,
triggers: [{}],
behaviour: {},
order: 500
})
};
fetch('https://{host}/v1/process/agents/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/process/agents/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'goal' => '<string>',
'skills' => [
'<string>'
],
'rules' => '<string>',
'enabled' => true,
'triggers' => [
[
]
],
'behaviour' => [
],
'order' => 500
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/process/agents/{slug}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal\": \"<string>\",\n \"skills\": [\n \"<string>\"\n ],\n \"rules\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {}\n ],\n \"behaviour\": {},\n \"order\": 500\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/v1/process/agents/{slug}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal\": \"<string>\",\n \"skills\": [\n \"<string>\"\n ],\n \"rules\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {}\n ],\n \"behaviour\": {},\n \"order\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/process/agents/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal\": \"<string>\",\n \"skills\": [\n \"<string>\"\n ],\n \"rules\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {}\n ],\n \"behaviour\": {},\n \"order\": 500\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
What an operator may change on an agent's definition; every field optional, the rest stays. Validated as a whole definition.
Required string length:
1 - 80Maximum string length:
200Maximum string length:
2000Minimum array length:
1Maximum string length:
20000Available options:
propose, act_with_approval, act Required range:
0 <= x <= 1000Response
Successful Response
The response is of type Response Put Agent V1 Process Agents Slug Put · object.